#!/bin/bash
#150208 sfs
img=screen_calibration

m="$img
Настройка разрешения мониторов
randr
\
screen_resolution
Автоматически расширить (для нескольких мониторов)
auto
\
gtk-fullscreen
Расширить экран на все имеющиеся мониторы
extend
\
gtk-network
Копировать (показать копии экрана на всех мониторах; некоторые участки могут быть потеряны, если первичные и вторичные экраны используют различное разрешение)
copy
\
gtk-find
Определить номер монитора
identify
\
gtk-disconnect
Выключить все мониторы, кроме 1
primary
\
gtk-disconnect
Выключить все мониторы, кроме 2
s
\
gtk-disconnect
Выключить все мониторы, кроме 3
ter
\
gtk-file
Текущая конфигурация xrdr. В таком виде хранится в конфигурационном файле
print
\
gtk-save
Сохранить конфигурацию.
save
\
gtk-edit
Редактировать конфигурацию.
edit
\
gtk-help
Документация
help"

m2="Управление мониторами" 
m3=" Обнаружено мониторов: <b>`xrdr count`</b>
 Текущее разрешение:     <b>`xrdr res`</b>
 <small>Двойное нажатие мышью активирует функцию меню.</small>"
x=500
y=500

dclick(){
case "$3" in
    randr) 	/usr/bin/lxrandr || grandr || zarfy || arandr ;;
    identify) 	xrdr "$3" ;;
    help)	defaulttextviewer "`which xrdr`.txt" ;;
    print)	ntf -i "`xrdr layout`" ;;
    edit)	leafpad ~/.config/xrdr/layout.conf && ntf -q "Применить настройки?" && xrdr ~/.config/xrdr/layout.conf \
	&& xrdr ~/.config/xrdr/layout.conf && (yad --mouse --title "xrdr" --timeout-indicator=bottom --timeout=8 --text \
	"Настройка экранов Вас устраивает?" || (xrdr auto && ntf -i "Настройки экрана сброшены в auto" &))
#	&& xrdr ~/.config/xrdr/layout.conf && ntf -q "Настройка экранов Вас устраивает?" || xrdr auto
#	&& ((sleep 5 && xrdr auto && ntf www) &) \
	;;
#    save)	(ntf -i "Сохранение..." &) && mkdir -p ~/.config/xrdr && echo "`xrdr layout`
    save)	mkdir -p ~/.config/xrdr && echo "`xrdr layout`
# * -> Set primary display
# |: Separator
#
# Orientations
# r -> right
# l -> left
# n -> normal [default]
# i -> inverted

# My example
#2 | 1 | 3r

# Bigger example with 6 screens
# 4r | 5 | 6r
# 1r | 2 | 3r" >~/.config/xrdr/layout.conf && ntf -q "~/.config/xrdr/layout.conf" "сохранен и будет автозагружен

Хотите просмотреть?" && [ $? = 0 ] && defaulttexteditor ~/.config/xrdr/layout.conf
    ;;
    *) wt "xrdr $3" & ;;
esac
}
export -f dclick

#echo "$a" |yad --list --column=1 --column=2 --column=3 --dclick-action='bash -c "dclick %s"'  #\
#    "test sample 11" "test sample 12" "test sample 13" \
#    "test sample 21" "test sample 22" "test sample 23"

sel="$(echo "$m"|sed 's/|/\n/g' |sed 's/=/\n/g' |yad   --title "$m2" --list --text \
    "<span size='large'><b>$m2</b></span>
<i>$m3</i>"  \
	--regex-search \
	--center \
	--separator= \
	--height=$x --width=$y \
	--no-headers \
	--search-column=2 \
	--image-on-top --image="$img" \
	--window-icon="$img" \
	--hide-column=3 \
	--print-column=3 \
	--column=:IMG \
	--column="*" \
	--column="+" \
	--dclick-action='bash -c "dclick %s"' \
	--button gtk-quit \
	)"
#echo "$sel"
